<script type="text/javascript">	
	var initPlanChecker = function() {
		var f_btn = $('f_btn');
		
		
		$$('input[name=plan]').addEvent('click', function(){
			
			if ( this.get('value') == 'free' ) {
				$$('.payment-type-block').setStyle('display', 'none');
			} else {
				$$('.payment-type-block').setStyle('display', 'block');
			}
		});
	};

	var initPaymentMethodTrigger = function() {
		
		$$('.sp-paym-type-button').addEvent('click', function(){
			
			this.getElement('input[type="radio"]').click();
		});
	};
	window.addEvent('domready', function(){		
		initPlanChecker();
		initPaymentMethodTrigger();

		var createOverlay = function(el) {
			el.setStyle('position', 'relative');

			var _overlay = new Element('div', {
				class: 'escort-overlay',
				styles: {
				    position: 'absolute',
				    backgroundColor: 'rgba(0, 0, 0, 0.3)',
				    width: '100%',
				    height: '100%',
				    top: '0',
				    left: '0',
				    borderRadius: '5px',
				    boxSizing: 'border-box',
				    backgroundImage: 'url("/m/i/ajax-loader-s.gif")',
				    backgroundPosition: '50%',
				    backgroundRepeat: 'no-repeat',
				    zIndex: '1200'
				}
			});

			_overlay.addEvent('click', function() {
				return false;
			});

			_overlay.inject(el);
		};
		<? if ( $this->use_epg ): ?>
			
			createOverlay($('wrap'))
			window.location = "<?= $this->redirect_url; ?>";
		<? elseif ( $this->use_postfinance ): ?>
			createOverlay($('wrap'))
			$('form1').getElement('input[type="submit"]').click();
			return false;
		<? endif; ?>
	});
</script>
<div class="place-ad" id="ca-step-3">
	<div class="clear"></div>
	<div class="place-ad-box-2">
		<? if ( $this->use_postfinance ): ?>
			<?= $this->postfinance_form ?>
		<? endif; ?>
		<form method="post" action="">
			<div class="body">
				<p class="t"><?= __('choose_your_ad_plan') ?></p>

				<div class="row packages">
					<input type="radio" id="free" checked="checked" value="free" name="plan" class="plan"/>
					<label for="free">
						<b class="red" style="text-transform: uppercase;" ><?= __('free') ?></b><br/>
						<span><?= __('c_ads_free_plan_text') ?></span>
					</label>
					<div class="clear"></div>
				</div>

				<? foreach( $this->defines['classified_ad_packages'] as $id => $package ): ?>
				<div class="row packages">
					<input type="radio" id="paid_<?= $id ?>" value="<?= $id ?>" name="plan" class="plan" />
					<label for="paid_3">
						<b class="red">PREMIUM <?= $package['days'] ?> DAY PASS CHF <?= number_format($package['price'], 2) ?></b><br/>
						<span>Your classified will be listed on <b>top position and highlighted</b> for <?= $package['days'] ?> days, then move down along with the others</span>
					</label>
					<div class="clear"></div>
				</div>
				<? endforeach; ?>

				
				<div class="payment-type-block">
					<p class="t"><?= __('payment_methods') ?></p>
						
						<div style="display: inline-block;" class="va-block">
							

							<!-- 	<div class="sp-paym-type-button cc">
									<input type="radio" name="payment_method" class="payment-method" value="epg" checked="checked">
									<span class="paym-type checked creditCartOpt" data-id="epg"><img class="payment-type-icon" src="/img/cred-card.png"><?= __('credit_card') ?> (EPG)</span>
								</div>
							
									<div class="sp-paym-type-button cc">
										<input type="radio" name="payment_method" class="payment-method" value="postfinance">
										<span class="paym-type creditCartOpt" data-id="postfinance"  style="text-transform: none;"><img class="payment-type-icon" src="/img/postfinance.png">PostFinance/POSTCARD</span>
									</div> -->

									<!-- <div class="sp-paym-type-button" style="min-width: 210px;">
										<input type="radio" name="payment_method" class="payment-method" value="phone">
										<span class="paym-type" id="phoneOpt" data-id="phone"><img class="payment-type-icon-phone" src="/img/phone-icon.png"><?= __('by_phone') ?></span>
									</div> -->
						</div>
						<div class="clear"></div>
			</div>
			</div>

			<div class="action">
				
                <button type="submit" class="step-button btn" id="next-step-btn"><?= __('finish')?></button>
            </div>
		</form>
	</div>
</div>